[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#447326: marked as done (pkgsel: add support for pre-hooks)



Your message dated Mon, 12 Nov 2007 13:02:06 +0000
with message-id <E1IrYvW-0005MQ-2w@ries.debian.org>
and subject line Bug#447326: fixed in pkgsel 0.16
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--- Begin Message ---
Package: pkgsel
Version: 0.15
Severity: wishlist
Tags: patch

This patch adds an /usr/lib/pre-pkgsel.d/ directory where hooks can be
added in a run-parts fashion. popcon handling has been factored out
into its own script in this directory.

My main motivation for this patch is that I wanted the ability to
install a package containing a task definition into /target just
before tasksel gets executed.

-- 
dann frazier

Index: debian/postinst
===================================================================
--- debian/postinst	(revision 49834)
+++ debian/postinst	(working copy)
@@ -39,12 +39,20 @@
 
 db_progress STEP 1
 
-# Install popularity-contest but remove it if the user decides not to
-# participate.
-if in-target sh -c "$config debconf-apt-progress --from 1 --to 5 --logstderr -- apt-get -o APT::Install-Recommends=false -q -y -f install popularity-contest"; then
-	if ! grep -q '^PARTICIPATE=\"*yes\"*' /target/etc/popularity-contest.conf; then
-		in-target dpkg --purge popularity-contest
-	fi
+partsdir="/usr/lib/pre-pkgsel.d"
+if [ -d "$partsdir" ]; then
+    for script in `ls "$partsdir"/*`; do
+        if [ -x "$script" ] ; then
+            # be careful to preserve exit code
+	    if log-output -t pkgsel "$script"; then
+	        :
+            else
+       		warning "$script returned error code $?"
+	    fi
+        else
+	    error "Unable to execute $script"
+    	fi
+    done
 fi
 
 db_get pkgsel/include
Index: debian/pkgsel.dirs
===================================================================
--- debian/pkgsel.dirs	(revision 0)
+++ debian/pkgsel.dirs	(revision 0)
@@ -0,0 +1 @@
+usr/lib/pre-pkgsel.d
Index: debian/changelog
===================================================================
--- debian/changelog	(revision 49834)
+++ debian/changelog	(working copy)
@@ -1,3 +1,9 @@
+pkgsel (0.16) UNRELEASED; urgency=low
+
+  * Add support for a /usr/lib/pre-pkgsel.d run-parts syle directory
+
+ -- dann frazier <dannf@debian.org>  Fri, 19 Oct 2007 23:31:05 -0600
+
 pkgsel (0.15) unstable; urgency=low
 
   [ Frans Pop ]
Index: debian/rules
===================================================================
--- debian/rules	(revision 49834)
+++ debian/rules	(working copy)
@@ -12,6 +12,8 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k
+	dh_installdirs
+	install -m755 popcon debian/pkgsel/usr/lib/pre-pkgsel.d/
 	dh_install
 
 binary-indep: build install
Index: popcon
===================================================================
--- popcon	(revision 0)
+++ popcon	(revision 0)
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -e
+
+# get debconf-apt-progress config, which will make it run properly later
+config=$(chroot /target debconf-apt-progress --config| sed "s/$/;/")
+
+# Install popularity-contest but remove it if the user decides not to
+# participate.
+if in-target sh -c "$config debconf-apt-progress --from 1 --to 5 --logstderr -- apt-get -o APT::Install-Recommends=false -q -y -f install popularity-contest"; then
+	if ! grep -q '^PARTICIPATE=\"*yes\"*' /target/etc/popularity-contest.conf; then
+		in-target dpkg --purge popularity-contest
+	fi
+fi

Property changes on: popcon
___________________________________________________________________
Name: svn:executable
   + *


--- End Message ---
--- Begin Message ---
Source: pkgsel
Source-Version: 0.16

We believe that the bug you reported is fixed in the latest version of
pkgsel, which is due to be installed in the Debian FTP archive:

pkgsel_0.16.dsc
  to pool/main/p/pkgsel/pkgsel_0.16.dsc
pkgsel_0.16.tar.gz
  to pool/main/p/pkgsel/pkgsel_0.16.tar.gz
pkgsel_0.16_all.udeb
  to pool/main/p/pkgsel/pkgsel_0.16_all.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 447326@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Frans Pop <fjp@debian.org> (supplier of updated pkgsel package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 12 Nov 2007 13:27:54 +0100
Source: pkgsel
Binary: pkgsel
Architecture: source all
Version: 0.16
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Frans Pop <fjp@debian.org>
Description: 
 pkgsel     - Select and install packages (udeb)
Closes: 447326
Changes: 
 pkgsel (0.16) unstable; urgency=low
 .
   [ Dann Frazier ]
   * Add support for a /usr/lib/pre-pkgsel.d run-parts syle directory.
     Closes: #447326.
 .
   [ Frans Pop ]
   * Support CD/DVD changing during package installation.
     For this to be possible, the installation CD/DVD has to be unmounted in
     the D-I environment, which means that during most of pkgsel (including
     pre-pkgsel.d scripts) the installation of udebs is not possible. The
     installation CD/DVD is reloaded before the end of pkgsel to ensure
     following components can again install udebs.
 .
   [ Updated translations ]
   * Belarusian (be.po) by Hleb Rubanau
   * Bulgarian (bg.po) by Damyan Ivanov
   * Catalan (ca.po) by Jordi Mallach
   * Czech (cs.po) by Miroslav Kure
   * German (de.po) by Jens Seidel
   * Esperanto (eo.po) by Serge Leblanc
   * Spanish (es.po) by Javier Fernández-Sanguino Peña
   * Basque (eu.po) by Piarres Beobide
   * French (fr.po) by Christian Perrier
   * Galician (gl.po) by Jacobo Tarrio
   * Hebrew (he.po) by Lior Kaplan
   * Japanese (ja.po) by Kenshi Muto
   * Korean (ko.po) by Sunjae Park
   * Dutch (nl.po) by Bart Cornelis
   * Norwegian Nynorsk (nn.po) by HÃ¥vard Korsvoll
   * Polish (pl.po) by Bartosz Fenski
   * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
   * Portuguese (pt.po) by Miguel Figueiredo
   * Romanian (ro.po) by Eddy PetriÈ?or
   * Russian (ru.po) by Yuri Kozlov
   * Albanian (sq.po) by Elian Myftiu
   * Swedish (sv.po) by Daniel Nylander
   * Tamil (ta.po) by Dr.T.Vasudevan
   * Thai (th.po) by Theppitak Karoonboonyanan
   * Vietnamese (vi.po) by Clytie Siddall
   * Simplified Chinese (zh_CN.po) by Ming Hua
Files: 
 fe708e108d6f4a998bcbf039ea806609 611 debian-installer standard pkgsel_0.16.dsc
 68c4251755bc164c5431e0b4aef3a3e2 24724 debian-installer standard pkgsel_0.16.tar.gz
 4ac54553edff36ce16c14377810274cb 7680 debian-installer standard pkgsel_0.16_all.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHOEqvgm/Kwh6ICoQRAufDAJ9SCH8+zBQfbp177iKaxqbPt7rmQQCeO6dd
w0OfQkGIVz97emSRmsKrTsw=
=CQQY
-----END PGP SIGNATURE-----



--- End Message ---

Reply to: